## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library
Interface Book

    public interface Book

A representation of the model object 'Book'.

The following features are supported:

- `Name`
- `ISBN`
- `Writer`
- `Library`

See Also:
  `LibraryPackage.getBook()`
Generated:
Model:

Method Summary
`int` `getISBN()` Returns the value of the 'ISBN' attribute.
`Library` `getLibrary()` Returns the value of the 'Library' container reference.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`Writer` `getWriter()` Returns the value of the 'Writer' reference.
`void` `setISBN(int value)` Sets the value of the '`ISBN`' attribute.
`void` `setLibrary(Library value)` Sets the value of the '`Library`' container reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setWriter(Writer value)` Sets the value of the '`Writer`' reference.

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `LibraryPackage.getBook_Name()`
  Generated:
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  Generated:

### getISBN

    int getISBN()

  Returns the value of the 'ISBN' attribute.

  If the meaning of the 'ISBN' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ISBN' attribute.
  See Also:
    `setISBN(int)`, `LibraryPackage.getBook_ISBN()`
  Generated:
  Model:

### setISBN

    void setISBN(int value)

  Sets the value of the '`ISBN`' attribute.

  Parameters:
    `value` - the new value of the 'ISBN' attribute.
  See Also:
    `getISBN()`
  Generated:

### getWriter

    Writer getWriter()

  Returns the value of the 'Writer' reference.

  If the meaning of the 'Writer' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Writer' reference.
  See Also:
    `setWriter(Writer)`, `LibraryPackage.getBook_Writer()`
  Generated:
  Model:

### setWriter

    void setWriter(Writer value)

  Sets the value of the '`Writer`' reference.

  Parameters:
    `value` - the new value of the 'Writer' reference.
  See Also:
    `getWriter()`
  Generated:

### getLibrary

    Library getLibrary()

  Returns the value of the 'Library' container reference. It is bidirectional and its opposite is '`Books`'.

  If the meaning of the 'Library' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Library' container reference.
  See Also:
    `setLibrary(Library)`, `LibraryPackage.getBook_Library()`, `Library.getBooks()`
  Generated:
  Model:
    opposite="books" transient="false"

### setLibrary

    void setLibrary(Library value)

  Sets the value of the '`Library`' container reference.

  Parameters:
    `value` - the new value of the 'Library' container reference.
  See Also:
    `getLibrary()`
  Generated: